Bug 1473276 - [RFE] Turn VirtualBMC into a proper systemd-managed daemon
[RFE] Turn VirtualBMC into a proper systemd-managed daemon
Status: ON_DEV
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-virtualbmc (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
medium Severity medium
: Upstream M2
: 14.0 (Rocky)
Assigned To: Ilya Etingof
: FutureFeature, Triaged
: 1419723 1551762 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2017-07-20 07:45 EDT by Dmitry Tantsur
Modified: 2018-03-17 22:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1751570 None None None 2018-02-25 07:11 EST
OpenStack gerrit 488874 None None None 2017-08-02 11:58 EDT

  None (edit)
Description Dmitry Tantsur 2017-07-20 07:45:38 EDT
Currently, VirtualBMC works by forking a new process on every 'vbmc start' invocation. This makes it hard to manage it by standard means, including starting it on system boot and restarting when it fails.

Instead, we need one daemon (vbmcd?) serving IPMI for all virtual nodes, and the vbmc command merely talking to it. Of course, we'll need to somehow maintain a reasonable upgrade path for both upstream CI and TripleO use cases.

We'll have to update packaging to include systemd units. And we'll probably need puppet-ironic and instack-undercloud code managing the new service (now it's done either manually or via tripleo-quickstart).
Comment 6 Ilya Etingof 2017-11-10 11:25:45 EST
*** Bug 1419723 has been marked as a duplicate of this bug. ***
Comment 7 Bob Fournier 2018-03-12 11:06:15 EDT
*** Bug 1551762 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.